"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.goldenRatioSize = exports.linearSize = exports.createSize = void 0;
var lodash_1 = require("lodash");
// {s, space, c, color}
// p="sm" p={space('sm').raw + 2}
var createSize = function (pixels) { return ({
    raw: (0, lodash_1.isNull)(pixels) ? null : Math.max(1, (0, lodash_1.round)(pixels)),
    get s() {
        return this.toString();
    },
    toString: function toString() {
        if (typeof this.raw === "number")
            return "".concat(this.raw, "px");
        else
            return undefined;
    },
    css: function () {
        return this.toString();
    },
}); };
exports.createSize = createSize;
var linearSize = function (base, coeff) { return function (s) {
    return (0, exports.createSize)(s === null ? null : s * coeff + base);
}; };
exports.linearSize = linearSize;
var goldenRatioSize = function (s) {
    return (0, exports.createSize)(s === null ? null : (0, lodash_1.round)(Math.pow(1.618, s) * 16, 3));
};
exports.goldenRatioSize = goldenRatioSize;
