"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var useTheme_1 = __importDefault(require("../useTheme"));
var weights_1 = __importDefault(require("./weights"));
var useStyleCss = function (style) {
    var _a;
    var color = (0, useTheme_1.default)().color;
    var weight;
    if (style.bold) {
        weight = weights_1.default.bold;
    }
    else {
        weight = style.weight && weights_1.default[style.weight];
    }
    return {
        color: color((_a = style.color) !== null && _a !== void 0 ? _a : "text").hex,
        fontWeight: weight,
        textDecoration: style.underline ? "underline" : undefined,
        fontStyle: style.italic ? "italic" : "normal",
    };
};
exports.default = useStyleCss;
