import convert from "color-convert";
var HSLColor = /** @class */ (function () {
    function HSLColor(h, s, l, o) {
        if (o === void 0) { o = 1; }
        this.h = h;
        this.s = s;
        this.l = l;
        this.o = o;
    }
    HSLColor.prototype.setOpacity = function (o) {
        this.o = o;
    };
    HSLColor.prototype.asRGB = function () {
        return convert.hsl.rgb([this.h, this.s, this.l]);
    };
    HSLColor.prototype.toString = function () {
        var rgb = this.asRGB();
        if (this.o == 1)
            return "rgb(".concat(rgb.join(","), ")");
        return "rgba(".concat(rgb.join(","), ",").concat(this.o, ")");
    };
    return HSLColor;
}());
export default HSLColor;
